---
title: Intl.Locale() constructor
slug: Web/JavaScript/Reference/Global_Objects/Intl/Locale/Locale
tags:
  - Constructor
  - Intl
  - JavaScript
  - Locale
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Intl.Locale</code></strong> constructor is a standard built-in property of the Intl object that represents a Unicode locale identifier.</span></p>

<div>{{EmbedInteractiveExample("pages/js/intl-locale.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new Intl.Locale(<var>tag</var> [, <var>options</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>tag</var></code></dt>
 <dd>The Unicode locale identifier string.</dd>
 <dt><code><var>options</var></code></dt>
 <dd>An object that contains configuration for the Locale. Keys are Unicode locale tags, values are valid Unicode tag values.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>At its very simplest, the {{jsxref("Locale/Locale", "Intl.Locale")}} constructor takes a locale identifier string as its argument:</p>

<pre class="brush: js notranslate">let us = new Intl.Locale('en-US');</pre>

<h3 id="Using_the_Locale_constructor_with_an_options_object">Using the Locale constructor with an options object</h3>

<p>The constructor also takes an optional configuration object argument, which can contain any of several extension types. For example, set the <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/hourCycle">hourCycle</a></code> property of the configuration object to your desired hour cycle type, and then pass it into the constructor:</p>

<pre class="brush: js notranslate">let us12hour = new Intl.Locale("en-US", {hourCycle: "h12"});
console.log(us12hour.hourCycle); // Prints "h12"</pre>

<h2 id="Polyfill">Polyfill</h2>

<p><a href="https://formatjs.io/docs/polyfills/intl-locale">formatjs Intl.Locale polyfill</a></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#sec-intl-locale-constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.Locale.Locale")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.unicode.org/reports/tr35/#Canonical_Unicode_Locale_Identifiers">Unicode locale identifiers spec</a></li>
</ul>
